Index: src/main/java/com/tourMate/services/impl/BusinessManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/BusinessManagerImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/impl/BusinessManagerImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,10 +2,7 @@
 
 import com.tourMate.dao.BusinessDao;
-import com.tourMate.dao.UsersDao;
 import com.tourMate.entities.Business;
-import com.tourMate.entities.Role;
 import com.tourMate.entities.User;
 import com.tourMate.services.BusinessManager;
-import com.tourMate.services.UsersManager;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Service;
@@ -19,54 +16,29 @@
     @Autowired
     BusinessDao businessDao;
-    @Autowired
-    UsersDao usersDao;
-    @Autowired
-    UsersManager usersManager;
 
     @Override
     public void createBusiness(Business business, long userId) {
-        User u = usersManager.findUserByID(userId);
-        business.setUser(u);
-        businessDao.createBusiness(business);
+        businessDao.createBusiness(business, userId);
     }
 
     @Override
     public List<Business> getUnapprovedBusinessesOfUser(long userId) {
-        User u = usersManager.findUserByID(userId);
-        return businessDao.getUnapprovedBusinessesOfUser(u);
+        return businessDao.getUnapprovedBusinessesOfUser(userId);
     }
 
     @Override
     public void deleteBusiness(long businessId) {
-        Business business = businessDao.findBusinessById(businessId);
-        businessDao.deleteBusiness(business);
+        businessDao.deleteBusiness(businessId);
 
     }
 
     @Override
-    public List<Business> getUnapprovedBusinesses() {
-        return businessDao.getUnapprovedBusinesses();
+    public boolean hasBusiness(long userId){
+        return businessDao.hasBusiness(userId);
     }
 
     @Override
-    public void approveBusiness(Long businessId) {
-        Business b = findBusinessById(businessId);
-        b.setApproved(true);
-        businessDao.approveBusiness(b);
-        changeUserRoleBusiness(b.getUser().getUserID());
-    }
-
-    private void changeUserRoleBusiness(Long userId)
-    {
-        User u = usersDao.findUserByID(userId);
-        Role r = usersDao.findById(3L);
-        u.setRole(r);
-        usersDao.updateUser(u);
-    }
-
-    @Override
-    public boolean hasBusiness(long userId){
-        User u = usersManager.findUserByID(userId);
-        return businessDao.hasBusiness(u);
+    public List<Business> getCreatedBusinesses() {
+        return businessDao.getCreatedBusinesses();
     }
 
@@ -78,12 +50,5 @@
     @Override
     public void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved) {
-        Business business = findBusinessById(businessId);
-        business.setName(name);
-        business.setPhone(phone);
-        business.setAddress(address);
-        business.setEdbs(edbs);
-        business.setUser(user);
-        business.setApproved(approved);
-        businessDao.editBusiness(business);
+        businessDao.editBusiness(businessId, name, phone, address, edbs, user, approved);
     }
 
Index: src/main/java/com/tourMate/services/impl/HotelManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/HotelManagerImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/impl/HotelManagerImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,14 +4,14 @@
 import com.tourMate.dao.UsersDao;
 import com.tourMate.dto.HotelDto;
-import com.tourMate.dto.HotelReservationDto;
-import com.tourMate.dto.HotelReservationUserDto;
 import com.tourMate.entities.*;
 import com.tourMate.services.HotelManager;
-import com.tourMate.services.UsersManager;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Service;
 
 import java.time.Duration;
-import java.util.*;
+import java.util.Collection;
+import java.util.Date;
+import java.util.List;
+import java.util.Map;
 import java.util.stream.Collectors;
 
@@ -23,6 +23,5 @@
     @Autowired
     UsersDao usersDao;
-    @Autowired
-    UsersManager usersManager;
+
 
     @Override
@@ -33,7 +32,5 @@
     @Override
     public void createHotel(Hotels hotels, long userId) {
-        User u = usersManager.findUserByID(userId);
-        hotels.setOwner(u);
-        hotelDao.createHotel(hotels);
+        hotelDao.createHotel(hotels, userId);
     }
 
@@ -41,4 +38,5 @@
     @Override
     public List<Hotels> getHotels() {
+        List<Hotels> hoteli = hotelDao.getHotels();
         return hotelDao.getHotels();
     }
@@ -46,6 +44,5 @@
     @Override
     public List<Hotels> getHotelsForUser(long userId) {
-        User u = usersManager.findUserByID(userId);
-        return hotelDao.getHotelsForUser(u);
+        return hotelDao.getHotelsForUser(userId);
     }
 
@@ -57,19 +54,10 @@
     @Override
     public void editHotel(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable) {
-        Hotels hotel = hotelDao.findHotelByID(hotelId);
-        hotel.setHotelName(hotelName);
-        hotel.setHotelDescripiton(hotelDescripiton);
-        hotel.setHotelLocation(hotelLocation);
-        hotel.setHotelEDBS(hotelEDBS);
-        hotel.setParking(parking);
-        hotel.setPetFriendly(petFriendly);
-        hotel.setInternetAvailable(internetAvailable);
-        hotelDao.editHotel(hotel);
+        hotelDao.editHotel(hotelId, hotelName, hotelDescripiton, hotelLocation, hotelEDBS, parking, petFriendly, internetAvailable);
     }
 
     @Override
     public void deleteHotel(long hotelId) {
-        Hotels h = findHotelByID(hotelId);
-        hotelDao.deleteHotel(h);
+        hotelDao.deleteHotel(hotelId);
     }
 
@@ -80,13 +68,11 @@
 
     @Override
-    public List<HotelsImages> getHotelImages(Long hotelId) {
-        Hotels h = hotelDao.findHotelByID(hotelId);
-        return hotelDao.getHotelImages(h);
+    public List<HotelsImages> getHotelImages(Hotels hotels) {
+        return hotelDao.getHotelImages(hotels);
     }
 
     @Override
     public List<HotelRoom> getRoomsOfHotel(long hotelId) {
-        Hotels h = findHotelByID(hotelId);
-        return hotelDao.getRoomsOfHotel(h);
+        return hotelDao.getRoomsOfHotel(hotelId);
     }
 
@@ -97,20 +83,17 @@
 
     @Override
-    public List<HotelRoomImages> getRoomImages(Long hotelRoom) {
-        HotelRoom hr = hotelDao.findRoomById(hotelRoom);
-        return hotelDao.getRoomImages(hr);
-    }
-
-    @Override
-    public void addHotelImage(Long hotel, List<String> url)
+    public List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom) {
+        return hotelDao.getRoomImages(hotelRoom);
+    }
+
+    @Override
+    public void addHotelImage(Hotels hotel, String url)
     {
-        Hotels h = findHotelByID(hotel);
-        url.stream().map(file -> new HotelsImages(h, file)).forEach(x -> hotelDao.addHotelImage(x));
+        hotelDao.addHotelImage(hotel, url);
     }
 
     @Override
     public void deleteHotelImage(long hotelImageId){
-        HotelsImages hotelsImages = findHotelImageById(hotelImageId);
-        hotelDao.deleteHotelImage(hotelsImages);
+        hotelDao.deleteHotelImage(hotelImageId);
     }
 
@@ -121,56 +104,33 @@
 
     @Override
-    public void createRoom(Long hotelId, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds) {
-        Hotels hotel = findHotelByID(hotelId);
-        HotelRoom hotelRoom = new HotelRoom(hotel, hotelRoomDescription, hotelRoomName, kitchenAvailable, airConditioning, balcony, price, numOfBeds);
-        hotelDao.createRoom(hotelRoom);
+    public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
+        hotelDao.createRoom(hotel, hotelRoomDescription, hotelRoomName, kitchenAvailable, airConditioning, balcony, price);
     }
 
     @Override
     public void editRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
-        HotelRoom hr = findRoomById(hotelRoomId);
-        hr.setHotel(hotel);
-        hr.setHotelRoomDescription(hotelRoomDescription);
-        hr.setHotelRoomName(hotelRoomName);
-        hr.setKitchenAvailable(kitchenAvailable);
-        hr.setAirConditioning(airConditioning);
-        hr.setBalcony(balcony);
-        hr.setPrice(price);
-        hotelDao.editRoom(hr);
+        hotelDao.editRoom(hotelRoomId, hotel, hotelRoomDescription, hotelRoomName, kitchenAvailable, airConditioning, balcony, price);
     }
 
     @Override
     public void deleteRoom(long hotelRoomId) {
-        HotelRoom hr = findRoomById(hotelRoomId);
-        hotelDao.deleteRoom(hr);
-    }
-
-
-    @Override
-    public List<HotelRoomAvailable> getRoomsAvailableById(Long id) {
+        hotelDao.deleteRoom(hotelRoomId);
+    }
+
+    @Override
+    public List<HotelRoomAvailable> getRoomsAvailable(Long id) {
         return hotelDao.getRoomsAvailable(id);
     }
 
     @Override
-    public void createRoomAvailible(long hotelRoomId, Date dateFrom, Date dateTo, int numberOfBeds) {
-        HotelRoom hotelRoom = findRoomById(hotelRoomId);
-        HotelRoomAvailable hra = new HotelRoomAvailable(hotelRoom, dateFrom, dateTo, numberOfBeds);
-        hotelDao.createRoomAvailible(hra);
+    public void createRoomAvailible(HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds) {
+        hotelDao.createRoomAvailible(hotelRoom, dateFrom, dateTo, numberOfBeds);
     }
 
     @Override
     public void editRoomAvailible(long hotelRoomAvailableId, HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds) {
-        HotelRoomAvailable hr = findAvailibleRoomById(hotelRoomAvailableId);
-        hr.setHotelRoom(hotelRoom);
-        hr.setDateFrom(dateFrom);
-        hr.setDateTo(dateTo);
-        hr.setNumberOfBeds(numberOfBeds);
-        hotelDao.editRoomAvailible(hr);
-    }
-    //01-01-2024 - 30-01-2024
-    //05-01-2024 - 10-01-2024
-
-    //01-01 - 05-01
-    //10-01 - 30-01
+        hotelDao.editRoomAvailible(hotelRoomAvailableId, hotelRoom, dateFrom, dateTo, numberOfBeds);
+    }
+
     @Override
     public void editRoomAvailibleReservation(Long HotelRoomAvailableId, Long hotelRoomId, Date from, Date to, int numberOfBeds){
@@ -178,14 +138,11 @@
         roomAvailable.setNumberOfBeds(numberOfBeds-1);
         HotelRoom room = hotelDao.findRoomById(hotelRoomId);
-        HotelRoomAvailable hra = new HotelRoomAvailable(room,roomAvailable.getDateFrom(),from,1);
-        hotelDao.createRoomAvailible(hra);
-        HotelRoomAvailable hra1 = new HotelRoomAvailable(room,to,roomAvailable.getDateTo(),1);
-        hotelDao.createRoomAvailible(hra1);
+        hotelDao.createRoomAvailible(room, roomAvailable.getDateFrom(), from, 1);
+        hotelDao.createRoomAvailible(room, to, roomAvailable.getDateTo(), 1);
     }
 
     @Override
     public void deleteRoomAvailible(long hotelRoomAvailableId) {
-        HotelRoomAvailable hra = findAvailibleRoomById(hotelRoomAvailableId);
-        hotelDao.deleteRoomAvailible(hra);
+        hotelDao.deleteRoomAvailible(hotelRoomAvailableId);
     }
 
@@ -206,32 +163,7 @@
 
     @Override
-    public List<HotelRoomReservations> getReservationsInPeriod(String hotelLocation, Date dateFrom, Date dateTo)
-    {
-        return hotelDao.getReservationsInPeriod(hotelLocation, dateFrom, dateTo);
-    }
-
-    @Override
-    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds, Boolean flexible) {
+    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds) {
         long numberOfNights = Duration.between(dateFrom.toInstant(), dateTo.toInstant()).toDays();
-        List<Hotels> hotels = getHotelsByLocation(hotelLocation);
-        List<HotelRoomReservations> hotelRoomReservations = getReservationsInPeriod(hotelLocation, dateFrom, dateTo);
-        List<Hotels> hotelsWithReservations = hotelRoomReservations.stream().map(x -> x.getHotelRoom().getHotel()).toList();
-        List<Hotels> mostReservedHotels = hotelRoomReservations.stream()
-                .collect(Collectors.groupingBy(x -> x.getHotelRoom().getHotel(), Collectors.counting())).entrySet().stream()
-                .sorted(Map.Entry.comparingByValue(Comparator.reverseOrder()))
-                .limit(5)
-                .map(Map.Entry::getKey)
-                .toList();
-        List<Hotels> leastReservedHotels = hotelRoomReservations.stream()
-                .collect(Collectors.groupingBy(x -> x.getHotelRoom().getHotel(), Collectors.counting())).entrySet().stream()
-                .sorted(Map.Entry.comparingByValue())
-                .limit(5)
-                .map(Map.Entry::getKey)
-                .toList();
-        List<Hotels> hotelsWithoutReservations = hotels.stream().filter(x -> !hotelsWithReservations.contains(x)).toList();
-        List<Hotels> hotelsToBeMarketed = new ArrayList<>();
-        hotelsToBeMarketed.addAll(hotelsWithoutReservations);
-        hotelsToBeMarketed.addAll(leastReservedHotels);
-        List<HotelRoomAvailable> roomsAvailible = hotelDao.getRoomsAvailibilityByDateAndLocation(hotelLocation, dateFrom, dateTo, numberOfBeds, flexible);
+        List<HotelRoomAvailable> roomsAvailible = hotelDao.getRoomsAvailibilityByDateAndLocation(hotelLocation, dateFrom, dateTo, numberOfBeds);
         Map<Hotels, List<HotelRoomAvailable>> roomsByHotels = roomsAvailible.stream().collect(Collectors.groupingBy(x -> x.getHotelRoom().getHotel()));
         List<HotelDto> hotelsList = roomsByHotels.keySet().stream()
@@ -246,10 +178,5 @@
                         x.getInternetAvailable(),
                         roomsByHotels.get(x).stream().mapToDouble(y -> y.getHotelRoom().getPrice()).min().getAsDouble() * numberOfNights,
-                        roomsByHotels.get(x),
-                        getReviewsForHotel(x.getHotelId()),
-                        getReviewsForHotel(x.getHotelId()).stream().mapToDouble(Reviews::getNumStar).average().orElse(0),
-                        getHotelImages(x.getHotelId()),
-                        mostReservedHotels.contains(x),
-                        hotelsToBeMarketed.contains(x)
+                        roomsByHotels.get(x)
                 )).toList();
         return hotelsList;
@@ -258,66 +185,19 @@
 
     @Override
-    // TODO:Transactional
     public void createReservation(Long userId, Long hotelRoomId, Long hotelRoomAvailableId, Date dateFrom, Date dateTo, Integer numberOfBeds) {
         HotelRoom room = hotelDao.findRoomById(hotelRoomId);
         User user = usersDao.findUserByID(userId);
-        HotelRoomReservations r = new HotelRoomReservations(user, room, dateFrom, dateTo, numberOfBeds);
+        hotelDao.createReservation(user, room, dateFrom, dateTo, numberOfBeds);
         editRoomAvailibleReservation(hotelRoomAvailableId, hotelRoomId, dateFrom, dateTo, numberOfBeds);
-        hotelDao.createReservation(r);
-
     }
 
     @Override
     public void editReservation(long hotelRoomReservedId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds) {
-        HotelRoomReservations hr = findReservationById(hotelRoomReservedId);
-        hr.setUser(user);
-        hr.setHotelRoom(hotelRoom);
-        hr.setDateFrom(dateFrom);
-        hr.setDateTo(dateTo);
-        hr.setNumberOfBeds(numberOfBeds);
-        hotelDao.editReservation(hr);
-    }
-
+        hotelDao.editReservation(hotelRoomReservedId, user, hotelRoom, dateFrom, dateTo, numberOfBeds);
+    }
 
     @Override
     public void deleteReservation(long hotelRoomReservedId) {
-        HotelRoomReservations r = findReservationById(hotelRoomReservedId);
-        HotelRoomAvailable hra = new HotelRoomAvailable(r.getHotelRoom(), r.getDateFrom(), r.getDateTo(), r.getNumberOfBeds());
-        hotelDao.createRoomAvailible(hra);
-        hotelDao.deleteReservation(r);
-    }
-
-    @Override
-    public List<HotelReservationDto> findVaidReseravtionsByHotel(Long hotelId) {
-        Hotels hotel = findHotelByID(hotelId);
-        List<HotelRoomReservations> reservations = hotelDao.findReservationByHotel(hotel);
-        return reservations.stream()
-//                .filter(x -> x.getDateFrom().after(new Date()))
-                .map(x -> new HotelReservationDto(
-                        x.getUser(),
-                        x.getHotelRoom(),
-                        x.getDateFrom(),
-                        x.getDateTo(),
-                        x.getNumberOfBeds()
-                )).toList();
-    }
-
-    @Override
-    public List<HotelReservationUserDto> findValidHotelReservationsByUser(Long userId) {
-        User u = usersDao.findUserByID(userId);
-        List<HotelRoomReservations> reservations = hotelDao.findReservationByUser(u);
-        return reservations.stream().map(x -> new HotelReservationUserDto(
-                x.getHotelRoomReservedId(),
-                x.getUser(),
-                x.getHotelRoom(),
-                x.getDateFrom(),
-                x.getDateTo(),
-                x.getNumberOfBeds(),
-                x.getHotelRoom().getHotel().getHotelName(),
-                x.getHotelRoom().getHotel().getHotelLocation(),
-                "",
-                x.getHotelRoom().getHotel().getHotelId(),
-                x.getReviewed()
-        )).toList();
+        hotelDao.deleteReservation(hotelRoomReservedId);
     }
 
@@ -341,41 +221,3 @@
         return hotelDao.getReservations();
     }
-
-    @Override
-    public List<Reviews> getReviewsForHotel(Long hotelId) {
-        Hotels hotel = findHotelByID(hotelId);
-        return hotelDao.findReviewsByHotel(hotel);
-    }
-
-    @Override
-    public List<HotelReservationUserDto> findPastHotelReservationsByUser(Long id) {
-        User u = usersDao.findUserByID(id);
-        List<HotelRoomReservations> reservations = hotelDao.findPastReservationByUser(u);
-        return reservations.stream().map(x -> new HotelReservationUserDto(
-                x.getHotelRoomReservedId(),
-                x.getUser(),
-                x.getHotelRoom(),
-                x.getDateFrom(),
-                x.getDateTo(),
-                x.getNumberOfBeds(),
-                x.getHotelRoom().getHotel().getHotelName(),
-                x.getHotelRoom().getHotel().getHotelLocation(),
-                "",
-                x.getHotelRoom().getHotel().getHotelId(),
-                x.getReviewed()
-        )).toList();
-    }
-
-    @Override
-    public void addRoomImage(Long id, List<String> filesToAdd) {
-        HotelRoom hr = findRoomById(id);
-        filesToAdd.stream().map(file -> new HotelRoomImages(hr, file)).forEach(x -> hotelDao.addRoomImage(x));
-    }
-
-    @Override
-    public void setReservationReviewed(Long reservationId) {
-        HotelRoomReservations hotelRoomReservations = findReservationById(reservationId);
-        hotelRoomReservations.setReviewed(true);
-        hotelDao.saveReservation(hotelRoomReservations);
-    }
 }
Index: src/main/java/com/tourMate/services/impl/MenuManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/MenuManagerImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/impl/MenuManagerImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -17,11 +17,10 @@
     @Override
     public void createMenu(String name, String ingredients, double price) {
-        menuDao.createMenu(new Menu(name, ingredients, price));
+        menuDao.createMenu(name, ingredients, price);
     }
 
     @Override
     public void deleteMenu(long menuId) {
-        Menu menu = findMenuById(menuId);
-        menuDao.deleteMenu(menu);
+        menuDao.deleteMenu(menuId);
     }
 
@@ -38,9 +37,5 @@
     @Override
     public void editMenu(long menuId, String name, String ingredients, double price) {
-        Menu menu = findMenuById(menuId);
-        menu.setName(name);
-        menu.setIngredients(ingredients);
-        menu.setPrice(price);
-        menuDao.editMenu(menu);
+        menuDao.editMenu(menuId, name, ingredients, price);
     }
 }
